Loading...
Searching...
No Matches
sensors::Logger::LoggedSensorsChangedEvent Struct Reference

Event: Set of logged sensors has been changed. More...

`import "SensorLogger.idl";`

Inheritance diagram for sensors::Logger::LoggedSensorsChangedEvent:

## Public Attributes

SensorSet | oldSensors
| Sensor set before change.
SensorSet | newSensors
| Sensor set after change.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Set of logged sensors has been changed.

Definition at line 73 of file SensorLogger.idl.

## Member Data Documentation

## newSensors

SensorSet sensors::Logger::LoggedSensorsChangedEvent::newSensors

Sensor set after change.

Definition at line 75 of file SensorLogger.idl.

## oldSensors

SensorSet sensors::Logger::LoggedSensorsChangedEvent::oldSensors

Sensor set before change.

Definition at line 74 of file SensorLogger.idl.

The documentation for this struct was generated from the following file:

- SensorLogger.idl